/**
 * サブミットを行う
 */

 var deleteTransaction = (lang == "en" ? "Delete the transaction?"
     : "取引を削除しますか？");

$(function() {
	$("[name=btnExportCommon]").click(function(e){
		$('#s_type').val('export');
		submitForm('searchForm');
	})

	$('#btnSearch').click(function() {
		$('#s_type').val('search');
		submitForm('searchForm');
	});

	$('#btnSave').click(function() {
		$('#type').val('save');
		submitForm();
	});

	$('#btnDelete').click(function(){
		if(confirm(deleteTransaction)){
			$('#type').val('delete');
			$('#acForm').submit();
		}
	});

	$('#btnSearchAll').click(function() {
		$('#s_type').val('search');
		$('#s_from:text').datepicker().datepicker('setDate', nowStr);
		$('#s_to:text').datepicker().datepicker('setDate', 'today');
		$('#s_request_type').val('');
		$('#s_account').val('');
		$('#s_account_name').val('');
		$('#s_currency').val('');
		$('#s_status_proc').attr('checked', true);
		$('#s_status_comp').attr('checked', true);
		$('#s_status_refund').attr('checked', true);
		$('#transaction_number').val('');
		submitForm('searchForm');
	});

	$('#btnSearchToday').click(function() {
		$('#s_type').val('search');
		$('#s_from:text').datepicker().datepicker('setDate', 'today');
		$('#s_to:text').datepicker().datepicker('setDate', 'today');
		$('#s_request_type').val('');
		$('#s_account').val('');
		$('#s_account_name').val('');
		$('#s_currency').val('');
		$('#s_status_proc').attr('checked', true);
		$('#s_status_comp').attr('checked', true);
		$('#s_status_refund').attr('checked', true);
		$('#transaction_number').val('');

		submitForm('searchForm');
	});

	$('#s_from').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	$('#s_to').datepicker({
		// カレンダーの設定
		dateFormat	: 'yy/mm/dd'
	});

	if($('#s_from').val() == '') {
		$('#s_from:text').datepicker().datepicker('setDate', nowStr);
	}

	if($('#s_to').val() == '') {
		$('#s_to:text').datepicker().datepicker('setDate','today');
	}
});

/**
 * 検索を行う（詳細表示）
 */
function actionDetail(rId, target) {
	$('#r_id').val(rId);
	$('#type').val('detail');

	// ターゲットがない場合
	if(target != undefined) {
		getForm().attr('target', target);
	} else {
		getForm().attr('target', '');
	}

	submitForm();
}

function actionBack() {

	// 変数宣言部
	var action	= '';
	var form	= null;

	if($('#action').val() != '') {
		form = getForm();
		action = form.attr('action', $('#action').val());
	}

	submitForm();
}
